Name:          freewheeling
Version:       0.6.6
Release:       1%{?dist}
License:       GPL-2.0
URL:           https://github.com/free-wheeling/%{name}/
Source0:       https://github.com/free-wheeling/%{name}/archive/v%{version}.tar.gz
BuildRequires: autoconf automake gcc-c++ liblo-devel libsndfile-devel libtool libvorbis-devel libxml2-devel
Requires:      nettle
%if 0%{?suse_version}
BuildRequires: alsa-devel freetype2-devel jack-devel libfluidsynth-devel libnettle-devel libSDL_gfx-devel libSDL_ttf-devel libX11-devel update-desktop-files
Requires:      alsa fluidsynth freetype2 SDL_gfx SDL_ttf
%endif
%if 0%{?fedora}
BuildRequires: alsa-lib-devel fluidsynth-devel freetype-devel jack-audio-connection-kit-devel libICE-devel libSM-devel libX11-devel nettle-devel SDL_gfx-devel SDL_ttf-devel
Requires:      alsa-lib fluidsynth freetype SDL_gfx SDL_ttf
%endif
%if 0%{?mageia}
BuildRequires: libalsa2-devel lib64freetype2-devel lib64x11-devel libfluidsynth-devel libjack-devel libnettle-devel libSDL_gfx-devel libSDL_ttf-devel
Requires:      libalsa2 fluidsynth freetype libSDL_gfx16 libSDL_ttf2.0_0
%endif
Summary:       live audio looper and synthesizer musical instrument
%description
 FreeWheeling is a live looping instrument built for improvisation. Using a
 keyboard or a MIDI controller, it allows one to build and control
 repetitive patterns from a live audio stream.
 .
 FreeWheeling uses the Jack Audio Connection Kit, Fluidsynth, and SDL.


%prep
%autosetup
autoreconf -fiv
./configure --prefix=/usr --libdir=%{_libdir}

%build
make

%install
rm -rf %{buildroot}/
make DESTDIR="%{buildroot}/" install

%clean
rm -rf %{buildroot}/

%files
%defattr(-,root,root)
%dir %{_datadir}/fweelin/
%{_bindir}/fweelin
%{_datadir}/fweelin/*

%changelog
* Wed May  6 2020 Daniele Branchini - 0.6.6-1
- update to 0.6.6

* Sat May 02 2020 bill-auger
- v0.6.5alpha6
